#
# spec file for package sca-appliance-agent
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sca_common sca
%define sca_libdir /usr/lib/%{sca_common}
%define sca_configdir %{_sysconfdir}/%{sca_common}

Name:           sca-appliance-agent
Version:        1.3
Release:        3.1
Summary:        Supportconfig Analysis Appliance Agent
License:        GPL-2.0
Group:          System/Monitoring
Url:            https://github.com/g23guy/sca-appliance-agent
Source:         %{name}-%{version}.tar.gz
Requires:       sca-appliance-common
Requires:       sca-patterns-base
BuildArch:      noarch

%description
Analyzes supportconfig archives using the Supportconfig Analysis patterns. The results are
posted in a MySQL database and can be posted or emailed as an html report. 

See %{_docdir}/sca-appliance-common/COPYING.GPLv2

%prep
%setup -q

%build
gzip -9f man/*8
gzip -9f man/*5

%install
pwd;ls -la
mkdir -p %{buildroot}%{sca_configdir}
mkdir -p %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_mandir}/man5
install -d %{buildroot}%{_docdir}/%{name}
install -d %{buildroot}%{sca_libdir}/php
install -m 644 config/*.conf %{buildroot}%{sca_configdir}
install -m 644 config/* %{buildroot}%{_docdir}/%{name}
install -m 544 bin/sdagent* %{buildroot}%{_sbindir}
install -m 640 bin/reportfull.php %{buildroot}%{sca_libdir}/php
install -m 644 docs/* %{buildroot}%{_docdir}/%{name}
install -m 644 man/*.8.gz %{buildroot}%{_mandir}/man8
install -m 644 man/*.5.gz %{buildroot}%{_mandir}/man5

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%dir %{sca_configdir}
%dir %{sca_libdir}
%dir %{sca_libdir}/php
%{sca_libdir}/php/*
%{_sbindir}/sdagent*
%config %{sca_configdir}/sdagent.conf
%config %{sca_configdir}/sdagent-patterns.conf
%config %{sca_configdir}/sdagent-supportconfig.conf
%doc %{_mandir}/man8/*
%doc %{_mandir}/man5/*
%doc %{_docdir}/%{name}/*

%changelog
* Thu Jan 25 2018 jason.record@suse.com
- Added sle15 detection and processing (bsc#1075250)
* Wed Jan  3 2018 jason.record@suse.com
- Removed /usr/bin/[ dependence
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
* Fri Jun  2 2017 jason.record@suse.com
- Fixed incorrect SLE12SP2 global library value (bsc#1042515)
* Fri Mar  6 2015 jrecord@suse.com
- Fixed archiving when ARCHIVE_MODE is set
- Updated Documentation link in SCA Report
* Fri Nov 14 2014 jrecord@suse.com
- Added SUSE Manager pattern support to sdagent-supportconfig
* Tue Jul 15 2014 jrecord@suse.com
- Email update report when patterns are updated
* Thu Jul  3 2014 jrecord@suse.com
- Removed sdagent-monitor
- Updated man pages
* Thu Jun 26 2014 jrecord@suse.com
- Created uniform email address
- Fixed sdagent-patterns email notification
- Added ftp link to archive email
- Fixed SCA Report subject line
* Fri Jun 13 2014 jrecord@suse.com
- Added email from address
* Wed Jun 11 2014 jrecord@suse.com
- Added missing email boundary
- Changed email message to HTML and plain text
- Fixed pattern source links (bnc#881411)
- Fixed HAE preprocessor (bnc#881404)
* Tue Jun  3 2014 jrecord@suse.com
- Updated SCA Report subject
* Wed May 14 2014 jrecord@suse.com
- Created local reportfull.php (bnc#877420)
- Fixed local reportfull.php validation (bnc#876347)
* Mon May  5 2014 jrecord@suse.com
- Fetch SR number from basic-environment.txt, not filename.
* Fri May  2 2014 jrecord@suse.com
- Fixed sdagent-supportconfig patternPreProcessor() detection (bnc#876180)
* Fri Apr 25 2014 jrecord@suse.com
- Cleaned up pattern errors for defect reports
- Removed clearn screen and -c
* Mon Apr 21 2014 jrecord@suse.com
- Fixed pattern evaluation errors (bnc#874027)
* Wed Apr 16 2014 jrecord@suse.com
- Changed to lowercase directories
- Removed SLE/all and OES/all preprocessor option
* Tue Apr  8 2014 jrecord@suse.com
- Fixed SQL import error on invalid SR numbers (bnc#871657)
* Thu Mar 27 2014 jrecord@suse.com
- Removed unused Samba filter
* Mon Mar 24 2014 jrecord@suse.com
- Updated man page with sub options
- Moved UPDATE_FROM_PATTERN_REPO to sdagent-patterns.conf
* Thu Mar 20 2014 jrecord@suse.com
- Default MAX_ARCHIVE_SIZE changed to 2Gb
- Fixed huge file download issue
- Archives moved to ARCHIVE_DIR when ARCHIVE_MODE enabled
- Added sdagent-supportconfig.conf for ARCHIVE_DIR
- Updated all references from sdagent-worker to sdagent-supportconfig
- Renamed sdagent-worker to sdagent-supportconfig
- Fixed man page headers
- Updated man page references to sections
- Added sdagent-health man page
- Moved section 1 man pages to section 8
* Thu Mar 13 2014 jrecord@suse.com
- Fixed FSF address in files
- Change to System/Monitoring spec Group
* Thu Mar  6 2014 jrecord@suse.com
- Fixed sdagent-patterns update within sdagent-config
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
* Fri Jan 31 2014 jrecord@suse.com
- Added changes file
* Thu Jan 16 2014 jrecord@suse.com
- SCADIAG_HOME renamed to SCA_WORK
- SPRSRC renamed to SCA_PATTERN_PATH
- Relocated files according to FHS
* Tue Jan  7 2014 jrecord@suse.com
- Updated pattern filter in sdagent-patterns
- sdagent-patterns has more explicit zypper startup options
- Separated sca-appliance-common files
* Tue Dec 24 2013 jrecord@suse.com
- Added ARCH_LOCATION to sdagent.conf
- sdagent-worker inserts ARCH_LOCATION into SQL import file
* Fri Dec 20 2013 jrecord@suse.com
- Separated as individual RPM package
- Sends email for pattern updates when $EMAIL_LEVEL -gt $EMAIL_MIN
- Correctly checks for SUSE Linux Enterpise archives only
- sdagent-patterns now updates from the OBS pattern repo
  * using -u prevents updates
